# MedicationStatement read

`GET /MedicationStatement/{id}`

This resource contains one or more statements about a medication that a patient has taken, is currently taking, or may take in the future. A patient, related person, or clinician may make the statement(s).

The difference between this and `MedicationAdministration` is that `MedicationStatement` contains informal statements rather than official administration details, such as dosage or date/time of administration. The information likely isn’t as specific, since the statement might come from a patient’s account or a list that a related person may maintain for the patient.

You can review or retrieve a list of medication statements for a patient.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `MedicationStatement` resource with a list of medication statements given by or on behalf of a patient.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | MedicationStatement identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/MedicationStatement/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The MedicationStatement

A profile on the Medication Statement resource that conforms to Redox requirements.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: MedicationStatement |
| `status` | string | Yes | A code representing the patient or other source's judgment about the state of the medication used that this statement is about.  Generally, this will be active or completed. Possible values: active, completed, entered-in-error, intended, stopped, on-hold, unknown, not-taken |
| `subject` | object | Yes | The patient who is/was taking the medication Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `medicationCodeableConcept` | object | Yes | Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications. Only one of `medicationCodeableConcept`, `medicationReference` may be present. |
| `medicationCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `medicationCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `medicationCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `medicationCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `medicationReference` | object | Yes | Identifies the medication being administered. This is either a link to a resource representing the details of the medication or a simple attribute carrying a code that identifies the medication from a known list of medications. Only one of `medicationCodeableConcept`, `medicationReference` may be present. Must be a resource of type `Medication`. |
| `medicationReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | Identifiers associated with this Medication Statement that are defined by business processes and/or used to refer to it when a direct URL reference to the resource itself is not appropriate. They are business identifiers assigned to this resource by the performer or other systems and remain constant as the resource is updated and propagates from server to server. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `category` | object | No | Indicates where the medication is expected to be consumed or administered. |
| `category.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `category.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `category.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `context` | object | No | The encounter or episode of care that establishes the context for this MedicationStatement. Must be a resource of type `Encounter`. |
| `context.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `informationSource` | object | No | The person or organization that provided the information about the taking of this medication. Note: Use derivedFrom when a MedicationStatement is derived from other resources, e.g. Claim or MedicationRequest. Must reference one of the following types of resources: - `Patient` - `Practitioner` - `PractitionerRole` - `RelatedPerson` - `Organization` |
| `informationSource.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `reasonCode` | Array of object | No | A reason for why the medication is being/was taken. |
| `reasonCode[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `reasonCode[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `reasonCode[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosage` | Array of object | No | Indicates how the medication is/was or should be taken by the patient. |
| `dosage[].text` | string | No | Free text dosage instructions e.g. SIG. |
| `dosage[].timing` | object | No | When medication should be administered. |
| `dosage[].timing.repeat` | object | No | A set of rules that describe when the event is scheduled. |
| `dosage[].timing.repeat.frequency` | number | No | The number of times to repeat the action within the specified period. If frequencyMax is present, this element indicates the lower bound of the allowed range of the frequency. |
| `dosage[].timing.repeat.frequencyMax` | number | No | If present, indicates that the frequency is a range - so to repeat between [frequency] and [frequencyMax] times within the period or period range. |
| `dosage[].timing.repeat.period` | number | No | Indicates the duration of time over which repetitions are to occur; e.g. to express "3 times per day", 3 would be the frequency and "1 day" would be the period. If periodMax is present, this element indicates the lower bound of the allowed range of the period length. |
| `dosage[].timing.repeat._period` | object | No | This element contains extensions for `period`. Depending on the extensions present it could be used in place of `period` or contain additional information about `period`. See the `extension` element for more details on the possible extensions being sent. |
| `dosage[].timing.repeat._period.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosage[].timing.repeat._period.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosage[].timing.repeat._period.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._period.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._period.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosage[].timing.repeat._period.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._period.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosage[].timing.repeat._period.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._period.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosage[].timing.repeat._period.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosage[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._period.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosage[].timing.repeat._period.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._period.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._period.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._period.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._period.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosage[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosage[].timing.repeat._period.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosage[].timing.repeat._period.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._period.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._period.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosage[].timing.repeat.periodMax` | number | No | If present, indicates that the period is a range from [period] to [periodMax], allowing expressing concepts such as "do this once every 3-5 days. |
| `dosage[].timing.repeat._periodMax` | object | No | This element contains extensions for `periodMax`. Depending on the extensions present it could be used in place of `periodMax` or contain additional information about `periodMax`. See the `extension` element for more details on the possible extensions being sent. |
| `dosage[].timing.repeat._periodMax.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosage[].timing.repeat._periodMax.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._periodMax.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._periodMax.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodMax.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosage[].timing.repeat.periodUnit` | string | No | The units of time for the period in UCUM units. Possible values: s, min, h, d, wk, mo, a - unit of time (UCUM) |
| `dosage[].timing.repeat._periodUnit` | object | No | This element contains extensions for `periodUnit`. Depending on the extensions present it could be used in place of `periodUnit` or contain additional information about `periodUnit`. See the `extension` element for more details on the possible extensions being sent. |
| `dosage[].timing.repeat._periodUnit.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosage[].timing.repeat._periodUnit.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._periodUnit.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._periodUnit.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosage[].timing.repeat.when` | Array of string | No | An approximate time period during the day, potentially linked to an event of daily living that indicates when the action should occur. |
| `dosage[].timing.repeat._when` | object | No | This element contains extensions for `when`. Depending on the extensions present it could be used in place of `when` or contain additional information about `when`. See the `extension` element for more details on the possible extensions being sent. |
| `dosage[].timing.repeat._when.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `dosage[].timing.repeat._when.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `dosage[].timing.repeat._when.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._when.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `dosage[].timing.repeat._when.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `dosage[].timing.repeat._when.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._when.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `dosage[].timing.repeat._when.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._when.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `dosage[].timing.repeat._when.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosage[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._when.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `dosage[].timing.repeat._when.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._when.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._when.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].timing.repeat._when.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].timing.repeat._when.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `dosage[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `dosage[].timing.repeat._when.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `dosage[].timing.repeat._when.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `dosage[].timing.repeat._when.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `dosage[].timing.repeat._when.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `dosage[].timing.repeat.boundsPeriod` | object | No | Either a duration for the length of the timing schedule, a range of possible length, or outer bounds for start and/or end limits of the timing schedule. |
| `dosage[].timing.repeat.boundsPeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `dosage[].timing.repeat.boundsPeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `dosage[].route` | object | No | How drug should enter body. |
| `dosage[].route.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `dosage[].route.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `dosage[].route.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `dosage[].route.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `effectiveDateTime` | string | No | The date/time or interval when the medication is/was/will be taken Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `effectivePeriod` | object | No | The date/time or interval when the medication is/was/will be taken Only one of `effectiveDateTime`, `effectivePeriod` may be present. |
| `effectivePeriod.start` | string | No | The start of the period. The boundary is inclusive. |
| `effectivePeriod.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |

#### 4mg Ondansetron every morning (active)

```json
{
  "resourceType": "MedicationStatement",
  "id": "RedoxMedicationStatementCodeExample",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "587232495"
    }
  ],
  "status": "active",
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "effectivePeriod": {
    "start": "2013-11-11T05:00:00.000Z"
  },
  "medicationCodeableConcept": {
    "coding": [
      {
        "code": "104894",
        "system": "http://www.nlm.nih.gov/research/umls/rxnorm"
      },
      {
        "code": "0378-7732-93",
        "system": "http://hl7.org/fhir/sid/ndc"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.253"
      },
      {
        "code": "50250065007220",
        "system": "urn:oid:2.16.840.1.113883.6.68"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.162"
      }
    ],
    "text": "Ondansetron 4 Mg Po Tbdp"
  },
  "reasonCode": [
    {
      "coding": [
        {
          "code": "422587007",
          "system": "http://snomed.info/sct"
        }
      ],
      "text": "Nausea"
    }
  ],
  "dosage": [
    {
      "text": "one tablet every morning",
      "asNeededBoolean": false,
      "route": {
        "coding": [
          {
            "code": "C38288",
            "system": "urn:oid:2.16.840.1.113883.3.26.1.1",
            "display": "Oral"
          }
        ]
      },
      "doseAndRate": [
        {
          "doseQuantity": {
            "value": 4,
            "unit": "mg"
          }
        }
      ],
      "timing": {
        "repeat": {
          "when": [
            "MORN"
          ],
          "boundsPeriod": {
            "start": "2013-11-11T05:00:00.000Z"
          }
        }
      }
    }
  ]
}
```

#### 4mg Ondansetron every 8 hours (active)

```json
{
  "resourceType": "MedicationStatement",
  "id": "RedoxMedicationStatementExample",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "587232495"
    }
  ],
  "status": "active",
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "effectivePeriod": {
    "start": "2013-11-11T05:00:00.000Z"
  },
  "medicationCodeableConcept": {
    "coding": [
      {
        "code": "104894",
        "system": "http://www.nlm.nih.gov/research/umls/rxnorm"
      },
      {
        "code": "0378-7732-93",
        "system": "http://hl7.org/fhir/sid/ndc"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.253"
      },
      {
        "code": "50250065007220",
        "system": "urn:oid:2.16.840.1.113883.6.68"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.162"
      }
    ],
    "text": "Ondansetron 4 Mg Po Tbdp"
  },
  "reasonCode": [
    {
      "coding": [
        {
          "code": "422587007",
          "system": "http://snomed.info/sct"
        }
      ],
      "text": "Nausea"
    }
  ],
  "dosage": [
    {
      "text": "one tablet every 8 hours",
      "asNeededBoolean": false,
      "route": {
        "coding": [
          {
            "code": "C38288",
            "system": "urn:oid:2.16.840.1.113883.3.26.1.1",
            "display": "Oral"
          }
        ]
      },
      "doseAndRate": [
        {
          "doseQuantity": {
            "value": 4,
            "unit": "mg"
          }
        }
      ],
      "timing": {
        "repeat": {
          "frequency": 1,
          "period": 8,
          "periodUnit": "h",
          "boundsPeriod": {
            "start": "2013-11-11T05:00:00.000Z"
          }
        }
      }
    }
  ]
}
```

#### 4mg Ondansetron 3 times a day (inactive)

```json
{
  "resourceType": "MedicationStatement",
  "id": "RedoxMedicationStatementPerDayExample",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "587232495"
    }
  ],
  "status": "active",
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "effectivePeriod": {
    "start": "2013-11-11T05:00:00.000Z"
  },
  "medicationCodeableConcept": {
    "coding": [
      {
        "code": "104894",
        "system": "http://www.nlm.nih.gov/research/umls/rxnorm"
      },
      {
        "code": "0378-7732-93",
        "system": "http://hl7.org/fhir/sid/ndc"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.253"
      },
      {
        "code": "50250065007220",
        "system": "urn:oid:2.16.840.1.113883.6.68"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.162"
      }
    ],
    "text": "Ondansetron 4 Mg Po Tbdp"
  },
  "reasonCode": [
    {
      "coding": [
        {
          "code": "422587007",
          "system": "http://snomed.info/sct"
        }
      ],
      "text": "Nausea"
    }
  ],
  "dosage": [
    {
      "text": "one tablet every 8 hours",
      "asNeededBoolean": false,
      "route": {
        "coding": [
          {
            "code": "C38288",
            "system": "urn:oid:2.16.840.1.113883.3.26.1.1",
            "display": "Oral"
          }
        ]
      },
      "doseAndRate": [
        {
          "doseQuantity": {
            "value": 4,
            "unit": "mg"
          }
        }
      ],
      "timing": {
        "repeat": {
          "frequency": 3,
          "period": 1,
          "periodUnit": "d",
          "boundsPeriod": {
            "start": "2014-10-04T05:00:00.000Z"
          }
        }
      }
    }
  ]
}
```

#### 4mg Ondansetron every 6 to 8 hours (active)

```json
{
  "resourceType": "MedicationStatement",
  "id": "RedoxMedicationStatementRangeExample",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "587232495"
    }
  ],
  "status": "active",
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "effectivePeriod": {
    "start": "2013-11-11T05:00:00.000Z"
  },
  "medicationCodeableConcept": {
    "coding": [
      {
        "code": "104894",
        "system": "http://www.nlm.nih.gov/research/umls/rxnorm"
      },
      {
        "code": "0378-7732-93",
        "system": "http://hl7.org/fhir/sid/ndc"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.253"
      },
      {
        "code": "50250065007220",
        "system": "urn:oid:2.16.840.1.113883.6.68"
      },
      {
        "code": "64695",
        "system": "urn:oid:2.16.840.1.113883.6.162"
      }
    ],
    "text": "Ondansetron 4 Mg Po Tbdp"
  },
  "reasonCode": [
    {
      "coding": [
        {
          "code": "422587007",
          "system": "http://snomed.info/sct"
        }
      ],
      "text": "Nausea"
    }
  ],
  "dosage": [
    {
      "text": "one tablet every 6 to 8 hours",
      "asNeededBoolean": false,
      "route": {
        "coding": [
          {
            "code": "C38288",
            "system": "urn:oid:2.16.840.1.113883.3.26.1.1",
            "display": "Oral"
          }
        ]
      },
      "doseAndRate": [
        {
          "doseQuantity": {
            "value": 4,
            "unit": "mg"
          }
        }
      ],
      "timing": {
        "repeat": {
          "frequency": 1,
          "period": 6,
          "periodMax": 8,
          "periodUnit": "h",
          "boundsPeriod": {
            "start": "2013-11-11T05:00:00.000Z"
          }
        }
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
